import type { StylisticRulesObject } from '@aet/eslint-define-config/src/rules/stylistic';
import stylistic from '@stylistic/eslint-plugin';

import { error } from '../constants';
import { defineConfig } from '../types';

const stylisticRules: Partial<StylisticRulesObject> = {
  'stylistic/spaced-comment': [
    error,
    'always',
    // allow /*@__PURE__*/
    { markers: ['/', '#', '@'], block: { exceptions: ['@'] } },
  ],
  'stylistic/jsx-sort-props': [
    error,
    { callbacksLast: true, shorthandFirst: true, multiline: 'last' },
  ],
};

export default defineConfig({
  name: 'eslint-rules/stylistic',
  plugins: {
    stylistic,
  },
  rules: stylisticRules,
});
